Skip to main content

List Campaigns

GET /campaigns

List all campaigns for your account. Use the campaign id when creating leads to tag them with a specific campaign.

Example

curl https://api.getnexor.ai/api/public/campaigns \
-H "X-API-Key: nxr_live_your_api_key"

Responses

200 — Successful response

{
"success": true,
"campaigns": [
{
"id": "123e4567-e89b-12d3-a456-426614174001",
"name": "Facebook Ads Q1",
"description": "Q1 Facebook advertising campaign",
"created_at": "2026-01-05T09:00:00Z"
}
]
}

Response Fields — Campaign

FieldTypeDescription
idstring (uuid)Unique campaign identifier
namestringCampaign name
descriptionstring | nullCampaign description
created_atstring (date-time)When the campaign was created

401 — Authentication error

See Authentication.

500 — Internal server error